#include <SDL3/SDL_gpu.h>
#include <SDL3/SDL_log.h>
#include <pch.h>

SDL_GPUDevice* DeviceCreate() {
    SDL_GPUDevice* device = SDL_CreateGPUDevice(SDL_GPU_SHADERFORMAT_SPIRV, true, NULL);
    if(device == NULL) {
        SDL_Log("Failed to create device: %s", SDL_GetError());
    } else {
        SDL_Log("Created GPU device using %s", SDL_GetGPUDeviceDriver(device));
    }

    return device;
}
